334.16 won't compile for Linux v3.13 (patch included)

filed bug 1458134 to track support for linux kernel v3.13